GDAL-MDIM(1)

NAME
gdal-mdim - Entry point for multidimensional commands

Added in version 3.11.

SYNOPSIS

    Usage: gdal mdim <SUBCOMMAND> [OPTIONS]
    where <SUBCOMMAND> is one of:
      - convert: Convert a multidimensional dataset.
      - info:    Return information on a multidimensional dataset.
    Common Options:
      -h, --help              Display help message and exit
      --json-usage            Display usage as JSON document and exit
      --config <KEY>=<VALUE>  Configuration option [may be repeated]
    Options:
      --drivers               Display multidimensional driver list as JSON document

AVAILABLE SUB-COMMANDS

•   gdal mdim info

•   gdal mdim convert

EXAMPLES

  Example 1: Getting information on the file temperatures.nc (with JSON output)

    $ gdal mdim info temperatures.nc

  Example 2: Converting file temperatures.nc to Zarr

    $ gdal mdim convert temperatures.nc temperatures.zarr

  Example 3: Getting the list of multidimensional drivers (with JSON output)

    $ gdal mdim --drivers

AUTHOR
Even Rouault <even.rouault@spatialys.com>

COPYRIGHT
1998-2025